window.Gleam.initSearch([{"doc":"gleamrpc_http_client","title":"gleamrpc_http_client","content":"# gleamrpc_http_client\n\n[![Package Version](https://img.shields.io/hexpm/v/gleamrpc_http_client)](https://hex.pm/packages/gleamrpc_http_client)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleamrpc_http_client/)\n\n**HTTP client for GleamRPC**\n\nCall your GleamRPC procedures via HTTP. Should be used with [gleamrpc_http_server](https://hexdocs.pm/gleamrpc_http_server/).\n\nQuery data is sent in the request query while the Mutation&#39;s data is sent in the body in Json.\n\n## Installation\n\n```sh\ngleam add gleamrpc_http_client@1\n```\n\n## Usage\n\n```gleam\nimport gleamrpc\nimport gleamrpc/http/client.{http_client}\n\npub fn main() {\n  use data &lt;- my_procedure\n    |&gt; gleamrpc.with_client(http_client(&quot;http://localhost:3000&quot;))\n    |&gt; gleamrpc.call(params)\n\n  // ...\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gleamrpc_http_client&gt;.\n\n## Features\n\n- Support for Javascript and Erlang targets\n- Send Queries via HTTP Get requests\n- Send Mutations via HTTP Post requests \n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"gleamrpc/http/client","title":"GleamRpcHttpClientError","content":"pub type GleamRpcHttpClientError {\n  IncorrectURIError(uri: String)\n  InvalidResponseError\n  ConnectionError(uri: String, reason: String)\n  JsonDecodeError(error: json.DecodeError)\n  InvalidJsonError\n  UnableToReadBodyError\n}\n Errors generated by the GleamRPC HTTP client\nIncorrectURIError(uri: String)\n\n\nInvalidResponseError\n\n\nConnectionError(uri: String, reason: String)\n\n\nJsonDecodeError(error: json.DecodeError)\n\n\nInvalidJsonError\n\n\nUnableToReadBodyError\n\n\nSynonyms:\ngleamrpc/http/client.GleamRpcHttpClientError\ngleamrpc/http/client GleamRpcHttpClientError","url":"gleamrpc/http/client.html#GleamRpcHttpClientError"},{"doc":"gleamrpc/http/client","title":"http_client","content":"pub fn http_client(\n  uri: String,\n) -&gt; ProcedureClient(a, b, GleamRpcHttpClientError)\n Create a new GleamRPC client that uses HTTP to communicate with the server at the given URI\nSynonyms:\ngleamrpc/http/client.http_client\ngleamrpc/http/client http_client","url":"gleamrpc/http/client.html#http_client"},{"doc":"gleamrpc/http/client","title":"gleamrpc/http/client","content":"","url":"gleamrpc/http/client.html"}]);